spark-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Yiannis Gkoufas <johngou...@gmail.com>
Subject Cannot build master with sbt
Date Wed, 25 May 2016 13:12:37 GMT
Hi there,

I have cloned the latest version from github.
I am using scala 2.10.x
When I invoke

build/sbt clean package

I get the exceptions because for the sbt-antlr library:

[warn]     module not found: com.simplytyped#sbt-antlr4;0.7.10
[warn] ==== typesafe-ivy-releases: tried
[warn]
https://repo.typesafe.com/typesafe/ivy-releases/com.simplytyped/sbt-antlr4/scala_2.10/sbt_0.13/0.7.10/ivys/ivy.xml
[warn] ==== sbt-plugin-releases: tried
[warn]
https://repo.scala-sbt.org/scalasbt/sbt-plugin-releases/com.simplytyped/sbt-antlr4/scala_2.10/sbt_0.13/0.7.10/ivys/ivy.xml
[warn] ==== local: tried
[warn]
/home/johngouf/.ivy2/local/com.simplytyped/sbt-antlr4/scala_2.10/sbt_0.13/0.7.10/ivys/ivy.xml
[warn] ==== public: tried
[warn]
https://repo1.maven.org/maven2/com/simplytyped/sbt-antlr4_2.10_0.13/0.7.10/sbt-antlr4-0.7.10.pom
[warn] ==== simplytyped: tried
[warn]
http://simplytyped.github.io/repo/releases/com/simplytyped/sbt-antlr4_2.10_0.13/0.7.10/sbt-antlr4-0.7.10.pom
[info] Resolving org.fusesource.jansi#jansi;1.4 ...
[warn]     ::::::::::::::::::::::::::::::::::::::::::::::
[warn]     ::          UNRESOLVED DEPENDENCIES         ::
[warn]     ::::::::::::::::::::::::::::::::::::::::::::::
[warn]     :: com.simplytyped#sbt-antlr4;0.7.10: not found
[warn]     ::::::::::::::::::::::::::::::::::::::::::::::
[warn]
[warn]     Note: Some unresolved dependencies have extra attributes.  Check
that these dependencies exist with the requested attributes.
[warn]         com.simplytyped:sbt-antlr4:0.7.10 (scalaVersion=2.10,
sbtVersion=0.13)
[warn]
[warn]     Note: Unresolved dependencies path:
[warn]         com.simplytyped:sbt-antlr4:0.7.10 (scalaVersion=2.10,
sbtVersion=0.13) (/home/johngouf/IOT/spark/project/plugins.sbt#L26-27)
[warn]           +- plugins:plugins:0.1-SNAPSHOT (scalaVersion=2.10,
sbtVersion=0.13)
sbt.ResolveException: unresolved dependency:
com.simplytyped#sbt-antlr4;0.7.10: not found

Any idea what is the problem here?

Thanks!

Mime
View raw message